from typing import Optional

from .config import cfg
from .matrix import Client

__all__ = ['cfg', 'get_client']

_client: Optional[Client] = None


def get_client() -> Client:
    global _client
    if _client is None:
        client = Client(
            cfg.get('auth', 'homeserver'),
            cfg.get('auth', 'device-id', fallback=None),
        )
        user = cfg.get('auth', 'username')
        if 'token' in cfg['auth']:
            client.login(user, token=cfg.get('auth', 'token'))
        else:
            client.login(user, password=cfg.get('auth', 'password'))
        _client = client
    return _client
