from configparser import ConfigParser
from importlib import resources
from typing import Iterable, Union

cfg = ConfigParser(delimiters=('='))


def load_config(filenames: Union[str, Iterable[str]]) -> None:
    import_name = __name__.split('.')[0]
    with resources.open_text(import_name, 'defaults.cfg') as defaults:
        cfg.read_file(defaults)
    cfg.read(filenames)
